Bug 108523 - Remove @author annotations from source code
Summary: Remove @author annotations from source code
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.2.0 target:6.3.0
Keywords: difficultyBeginner, easyHack, topicCleanup
Depends on:
Blocks:
 
Reported: 2017-06-14 13:52 UTC by Samuel Mehrbrodt (CIB)
Modified: 2019-04-08 08:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-06-14 13:52:54 UTC
There are only a few occasions where this has been added.
Git history is a better indicator for authorship, so we can remove the existing @author tags.

http://opengrok.libreoffice.org/search?q=%40author&project=core
Comment 1 Commit Notification 2018-02-05 10:19:44 UTC
Manuj Vashist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=68d9583db4226a61ba23398928b9416c5d8745c8

tdf#108523 Removed @author annotations.

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2018-05-16 07:09:50 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c8b29c1feab550c624cd32ce506deeb480f6359

tdf#108523 Remove @author annotations

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-05-22 06:35:55 UTC
Abhyudaya Sharma committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=038c607e4093d5a26e37d41805def1c5d65ff32d

tdf#108523 Remove @author annotations

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-06-18 09:30:34 UTC
Abhyudaya Sharma committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bc5cdc0f12ab580f6b1631b0f323aafd234adc4c

tdf#108523 Remove @author annotations

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Samuel Mehrbrodt (CIB) 2019-03-08 07:38:28 UTC
Task is still valid, although the link in comment 0 doesn't work anymore.

Here's a new link with the search query: https://opengrok.libreoffice.org/search?project=core&full=%22%40author%22
Comment 6 Commit Notification 2019-03-29 06:37:59 UTC
Jaromir Wysoglad committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/92ce72a4731ad468f5928efd9da7fe66bfdb08ea%5E%21

tdf#108523 Removed @author annotations

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Samuel Mehrbrodt (CIB) 2019-04-08 08:59:54 UTC
Only some externals found via above query, setting as resolved.